Subject: Re: [PATCH v2 net-next] ravb: Avoid unsupported internal delay mode for R-Car E3/D3

From: Andrew Lunn <[email-masked]>
Date: Wed, 10 Apr 2019 18:19:06 +0200

On Wed, Apr 10, 2019 at 01:45:02PM +0200, Simon Horman wrote:
> According to the R-Car Gen3 Hardware Manual Rev 1.50 of Nov 30, 2018, the
> TX clock internal delay mode isn't supported on R-Car E3 (r8a77990) or D3
> (r8a77995). And by extension it is also not supported by RZ/G2E (r9a774c0).
> 
> This matches all ES versions of the affected SoCs as it is
> not clear if this problem will be resolved in newer chips.
> This can be revisited, as necessary.
> 
> This patch does not error-out if PHY_INTERFACE_MODE_RGMII_ID or
> PHY_INTERFACE_MODE_RGMII_TXID are used on SoCs where TX clock delay
> mode is not supported as there is a risk of introducing a regression
> when used in conjunction with older DT blobs present in the field.

Hi Simon

I think it should at least WARN_ON(). Such blobs are broken, even if
they do kind of work.

     Andrew